> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction table



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Position/GetTransactionTable
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Position/GetTransactionTable:
    post:
      tags:
        - Position
      summary: Get Transaction table
      operationId: GetTransactionTable
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetTransactionTableRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetTransactionTableRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetTransactionTableRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetTransactionTableRequest'
        description: The transaction table request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetTransactionTableResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetTransactionTableRequest:
      example:
        end_date: '2000-01-23T04:56:07.000+00:00'
        include_zero_quantities: true
        portfolio_name: portfolio_name
        counterparties:
          - counterparties
          - counterparties
        start_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        counterparties:
          items:
            type: string
          nullable: true
          type: array
        end_date:
          format: date-time
          type: string
        include_zero_quantities:
          type: boolean
        portfolio_name:
          nullable: true
          type: string
        start_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiGetTransactionTableRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetTransactionTableResponse:
      discriminator:
        mapping:
          Derivitec.Web.Core.Positions.ApiGetTransactionTableResponse, Derivitec.Web.Core: '#/components/schemas/ApiGetTransactionTableResponseMintlifyShape'
          Derivitec.Web.Core.Positions.ApiGetPortfolioTableResponse, Derivitec.Web.Core: '#/components/schemas/ApiGetPortfolioTableResponse'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/ApiGetTransactionTableResponseMintlifyShape'
        - $ref: '#/components/schemas/ApiGetPortfolioTableResponse'
    ApiGetTransactionTableResponseMintlifyShape:
      example:
        data_table: ''
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        data_table:
          nullable: true
          type: array
          items:
            type: object
            additionalProperties: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiGetTransactionTableResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetPortfolioTableResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        data_table:
          nullable: true
          type: array
          items:
            type: object
            additionalProperties: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiGetPortfolioTableResponse,
              Derivitec.Web.Core
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````